package com.xhpc.file.mapper;

import com.xhpc.file.domain.XhpcImg;
import org.apache.ibatis.annotations.Param;

/**
 * 上传图片信息 数据层
 *
 * @author ruoyi
 */
public interface XhpcImgMapper {

    /**
     * 新增 上传图片信息
     *
     * @param xhpcImg 上传图片信息
     * @return 结果
     */
    public int insert(XhpcImg xhpcImg);

    /**
     * 更新 上传图片信息
     *
     * @param xhpcImg 上传图片信息
     * @return 结果
     */
    public int update(XhpcImg xhpcImg);

    /**
     * 查询
     *
     * @param imgId 上传图片id
     * @return 结果
     */
    public XhpcImg info(@Param("imgId") Long imgId);
}
